"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/Users/runner/work/rdkit-pypi/rdkit-pypi/build/temp.macosx-11.0-arm64-cpython-311/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x108610540>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x108610680>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x1086105e0>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x108610720>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x1086107c0>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x108610860>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x108610900>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x1086109a0>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x108610a40>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x108610ae0>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x108610b80>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x108610c20>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x108610cc0>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x108610d60>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x108610e00>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x108610ea0>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x108610f40>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x108610fe0>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x108611080>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x108611120>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x1086111c0>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x108611260>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x108611300>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x1086113a0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x108611440>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x1086114e0>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x108611580>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x108611620>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x1086116c0>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x108611760>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x108611800>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x1086118a0>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x108611940>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x1086119e0>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x108611a80>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x108611b20>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x108611bc0>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x108611c60>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x108611d00>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x108611da0>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x108611e40>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x108611ee0>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x108611f80>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x108612020>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x1086120c0>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x108612160>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x108612200>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x1086122a0>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x108612340>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x1086123e0>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x108612480>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x108612520>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x1086125c0>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x108612660>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x108612700>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x1086127a0>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x108612840>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x1086128e0>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x108612980>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x108612a20>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x108612ac0>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x108612b60>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x108612c00>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x108612ca0>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x108612d40>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x108612de0>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x108612e80>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x108612f20>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x108612fc0>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x108613060>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x108613100>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x1086131a0>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x108613240>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x1086132e0>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x108613380>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x108613420>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x1086134c0>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x108613560>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x108613600>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x108613740>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x1086136a0>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x1086137e0>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x108613880>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x108613920>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x1086139c0>)]
name: str = 'fr_HOCCN'
